a_player_bullet_speed = 5
a_player_bullet_color = vicclr_green
a_player_bullet_reload = 1<<7


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; bullet-specific initialization (common code in a_player_fire)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		!macro a_player_bullet_initialize {
		lda #a_player_bullet_class
		sta actor_class,y

		lda actor_ypos,x
		sec
		sbc #2
		sta actor_ypos,y

		lda #spr_player_bullet
		sta actor_pattern,y

	;;	lda actor_attrib,x
	;;	sec
	;;	sbc #$80
	;;	and #$80
		lda #a_player_bullet_color
		sta actor_attrib,y

		lda actor_xpos,x
	;;	sbc #0
		sta actor_xpos,y

		lda #-1
		sta actor_collision,y
		}


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
a_player_bullet_update !zone
		lda actor_collision,x
		+bpl ~actor_update_die_cb

		lda actor_ypos,x
		sec
		sbc #a_player_bullet_speed
		sta actor_ypos,x
		+jmp ~actor_update_continue_cb