a_explosion_counter = actor_user1


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		!zone
a_explosion_replace +common ~a_explosion_replace_cb
		lda #a_explosion_class
		sta actor_class,x
		lda #a_explosion_length
		sta a_explosion_counter,x
		+jmp ~actor_update_continue_cb

		!macro a_explosion_replace_y {
		lda #a_explosion_class
		sta actor_class,y
		lda #a_explosion_length
		sta a_explosion_counter,y
		}

		!macro a_explosion_spawn {
		+actor_spawn_at .failure

		lda actor_xpos,x
		sta actor_xpos,y
		lda actor_ypos,x
		sta actor_ypos,y

		+a_explosion_replace_y

.failure	}


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
a_explosion_update !zone
		dec a_explosion_counter,x
		+bmi ~actor_update_die_cb

		lda a_explosion_counter,x
		and #NOT 1
		tay

		lda a_explosion_anim+0,y
		sta actor_pattern,x
		lda a_explosion_anim+1,y
		sta actor_attrib,x
		+jmp ~actor_update_continue_cb


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
a_explosion_anim
		!byte spr_explosion+9,vicclr_gray3
		!byte spr_explosion+8,vicclr_gray3
		!byte spr_explosion+7,vicclr_gray3
		!byte spr_explosion+6,vicclr_gray3
		!byte spr_explosion+5,vicclr_gray2
		!byte spr_explosion+4,vicclr_orange
		!byte spr_explosion+3,vicclr_lred
		!byte spr_explosion+2,vicclr_yellow
		!byte spr_explosion+1,vicclr_yellow
		!byte spr_explosion+0,vicclr_yellow
		!byte spr_explosion+0,vicclr_yellow
a_explosion_length = *-a_explosion_anim