a_player_laser_reload = 1<<1
a_player_laser_offset = actor_user2


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; laser-specific initialization (common code in a_player_fire)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		!macro a_player_laser_initialize {
		lda #a_player_laser_class
		sta actor_class,y

		lda #vicclr_yellow+$80
		sta actor_attrib,y

		lda #$00
		sta a_player_laser_offset,y
		}


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; also returns the color in a. preserves x
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		!macro a_player_laser_animate {
		lda game_frame
		asr #%1110
		tay
		lda a_player_laser_color_table,y
		sta a_player_laser_color
		}

a_player_laser_color_table
		!byte vicclr_yellow*17
		!byte vicclr_white*17
		!byte vicclr_yellow*17
		!byte vicclr_lgreen*17
		!byte vicclr_green*17
		!byte vicclr_gray2*17
		!byte vicclr_green*17
		!byte vicclr_lgreen*17


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
a_player_laser_update !zone
		ldy a_player_owner,x
		lda actor_xpos,y
		sta actor_xpos,x

		lda a_player_laser_offset,x
		sec
		sbc #21
		sta a_player_laser_offset,x

		clc
		adc actor_ypos,y
		sta actor_ypos,x

		lda game_frame
		lsr
		lsr
		asr #%110
	;;	clc
		adc #spr_laser
		sta actor_pattern,x

		+lda_imm ~a_player_laser_color
		ora #$80
		sta actor_attrib,x

		+jmp ~actor_update_continue_cb