a_seeker_target	= actor_user1


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
a_scripted_seeker !zone
		+actor_spawn .failure

		lda #a_seeker_class
		sta actor_class,x

		lda (script),y
		iny
		sta actor_xpos,x

		and #$01
		sta a_seeker_target,x

		lda #34
		sta actor_ypos,x

		lda #-1
		sta actor_collision,x

		lda #spr_streaker
		sta actor_pattern,x
		lda #vicclr_green
		sta actor_attrib,x

		+nop8
.failure	iny
		+jmp ~script_continue_cb


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
a_seeker_update !zone
		ldy a_seeker_target,x

		lda actor_attrib,x
		eor #$80
		sta actor_attrib,x
		bmi .x_lsb_set

		lda actor_xpos,x
	;;	clc
		sbc a_player_partition,y
		bcs .keep_xpos
		adc #2
		bcs .centered
		inc actor_xpos,x
		bcc .keep_xpos		;; bra

.x_lsb_set	lda a_player_partition,y
	;;	clc
		sbc actor_xpos,x
		bcs .keep_xpos
		adc #2
		bcs .centered
		dec actor_xpos,x

.keep_xpos	inc actor_ypos,x

		ldy actor_collision,x
		+bmi ~actor_update_continue_cb

		lda a_player_owner,y
		tay
		lda #player_score_medium
		jsr player_award_collision_score

		+jmp ~a_explosion_replace_cb

.centered	lda #vicclr_lred
		sta actor_attrib,x
		lda #a_streaker_class
		sta actor_class,x
		jmp a_streaker_update