#include <stdio.h>

static char charset[2][256][8];

int main(int argc, char *argv[]) {
 FILE *f;
 unsigned c;

 if(f = fopen(argv[1], "rb"), !f) {
  fprintf(stderr, "unable to open input file\n");
  return 1;
 }

 for(c = 0; c < 256; ++c) {
  fread(&charset[0][c][0], 4, 1, f);
  fread(&charset[1][c][4], 4, 1, f);
  fread(&charset[1][c][0], 4, 1, f);
  fread(&charset[0][c][4], 4, 1, f);
 }

 if(!freopen(argv[2], "wb", f)) {
  fprintf(stderr, "unable to create output file\n");
  return 1;
 }

 fwrite(charset, 1, sizeof charset, f);
 fclose(f);

 return 0;
}