#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char *argv[]) {
	typedef struct {
		char name[64];
		unsigned address;
	} label;

	FILE *input, *output;
	label *list;
	unsigned used, free;

	free = 64;
	list = malloc(sizeof(label) * free);

	used = -1;

	if(argc >= 2) {
		freopen(argv[1], "r", stdin);
	}

	do
	{
		++used;

		if(!free) {
			free = used;
			list = realloc(list, (used + free) * sizeof(label));
		}

		--free;
	}
	while(scanf("al %x .%63s\n", &list[used].address, list[used].name) == 2);

	qsort(list, used, sizeof(label), strcmp);

	if(argc >= 3) {
		freopen(argv[2], "w", stdout);
	}

	while(used--) {
		printf("al %x .%s\n", list->address, list->name);
		++list;
	}

	return 0;
}